Subject: Re: bug#22734: 24.5; do not leave opened org-agenda-files on org-agenda-list, etc.

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 01 Dec 2017 20:00:57 +0100

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Oleksandr Gavenko <[email-masked]>
>>> Date: Thu, 18 Feb 2016 16:23:05 +0200
>>> 
>>> TODO.org I visit only via `C-c a a'. But NOTE.org become unmaintainable with
>>> size greater then 1 MiB of plain text.
>
> It would be interesting to see a profile report about this.
>
>>> But now I have a lot of opened unused .org files after `C-c a a' which I
>>> should kill when they appear during buffer switches.
>>> 
>>> The right behavior is to preserve opened only files that already was opened
>>> and kill other files.
>
> AFAICT, Org expects that agenda files are always being visited. This may
> be related to speed issues. 
>
> In any case, you could filter out Org files from buffer list (e.g., with
> `ido-ignore-buffers' and alike), and use `org-buffer-list' whenever you
> need them.

Since there is no more answer from the OP, I'm closing this bug.

Regards,